# Open-Source iOS Apps

A collaborative list of open-source iOS apps, your [contribution](https://github.com/dkhamsing/open-source-ios-apps/issues) [is](https://github.com/dkhamsing/open-source-ios-apps/pulls) [welcome](#contact) :smile:

Jump to

- [Apple TV](#apple-tv)
- [Apple Watch](#apple-watch)
- [Browser](#browser)
- [Communication](#communication)
- [Conference](#conference)
- [Content Blocking](#content-blocking)
- [Developer](#developer)
- [Finance](#finance)
- [Games](#games)
- [Health](#health)
- [Keyboards](#keyboards)
- [Location](#location)
- [Media](#media)
- [News](#news)
- [Official](#official)
- [Sample](#sample)
- [Security](#security)
- [Social](#social)
- [Tasks](#tasks)
- [Weather](#weather)
- [Web](#web)
- [Misc](#misc)
- Special
  - [Appcelerator](#appcelerator)
  - [Core Data](#core-data)
  - [Ionic](#ionic)
  - [Parse](#parse)
  - [React Native](#react-native)
  - [Reactive Programming](#reactive-programming)
  - [Realm](#realm)
  - [VIPER](#viper)
  - [Xamarin](#xamarin)
- [Bonus](#bonus)

```
🔶 Swift projects

Projects that are not in English have a flag
🇨🇳 Project is in Chinese
🇪🇸 Project is in Spanish, etc

 100+ Stars: 🔥
 200+ Stars: 🔥🔥
 500+ Stars: 🔥🔥🔥
1000+ Stars: 🔥🔥🔥🔥
2000+ Stars: 🔥🔥🔥🔥🔥
``` 

## Apple TV

- [Artsy Shows](https://github.com/artsy/Emergence): Art shows on your TV 🔶🔥🔥
- [EX Player][extvplayer]: Watch video from ex.ua on your TV
- [Provenance][]: Frontend for multiple emulators, currently supporting Sega Genesis, SNES, NES, GB/GBC, & more 🔥🔥🔥🔥
- [UitzendingGemist](https://github.com/jeffkreeftmeijer/UitzendingGemist): Unofficial Apple TV app for Dutch Public Broadcasting video on demand service 🔶
- [WWDCTV](https://github.com/azzoor/WWDCTV): Watch the WWDC Videos on your Apple TV 🔥🔥

## Apple Watch

- [BaiduFM-Swift](https://github.com/belm/BaiduFM-Swift) 🔶🔥🔥
- Bither: Simple and secure Bitcoin wallet
  - https://github.com/bither/bither-ios ([extension](https://github.com/bither/bither-ios/tree/master/bither-ios%20WatchKit%20Extension))
  - https://itunes.apple.com/app/bither/id899478936
- Brew: Discover craft beer pubs nearby 🔶
  - https://github.com/contentful/ContentfulWatchKitExample
  - https://itunes.apple.com/app/id986830433
- Bus Today: Track bus line on your wrist 🇨🇳
  - https://github.com/JohnWong/bus-today
  - https://itunes.apple.com/app/jin-ri-gong-jiao-tong-zhi/id975022341
- [Calculator](https://github.com/noodlewerk/Apple_Watch_Calculator) 🔶 
- [Calculator](https://github.com/mukeshthawani/Calculator) 🔶
- [Cherry][]: Mini Pomodoro Timer app 🔶🔥🔥 
- [Connectivity Demo](https://github.com/swilliams/watchkit-connectivity-demo)
- [CoolSpot](https://github.com/neonichu/CoolSpot): The missing Spotify app 🔶
- Cortado: Track your caffeine consumption habits 🔥
  - https://github.com/lazerwalker/cortado
  - https://itunes.apple.com/app/cortado/id969899327
- [Done][]: Data sharing between a WatchKit app and its main app using Realm 🔶
- [FlickrWatch](https://github.com/jazzychad/FlickrWatch): Apple Watch face using Flickr API
- [GrandCentralBoard](https://github.com/macoscope/GrandCentralBoard): Hang a TV in your open space / team room to show everyone what's up and get them up to speed 🔶🔥
- Gulps: Track your daily water consumption 🔶🔥🔥
  - https://github.com/FancyPixel/gulps
  - https://itunes.apple.com/app/gulps/id979057304
- [heartrate](https://github.com/coolioxlr/watchOS-2-heartrate): Show streaming heartrate from the watch with watchOS 2 🔶🔥🔥
- [HighStreet](https://github.com/GetHighstreet/HighstreetWatchApp): Highstreet shopping app 🔶🔥🔥
- [HN Reader][]: Hacker News Reader 🔶🔥🔥🔥  ([HN Reader on the App Store][])
- [Impulse](https://github.com/Jasdev/Impulse): Real-time age ticker for iOS and watchOS 🔶
- [KTPomodoro][]: Mini Pomodoro Timer app
- [Lister](https://developer.apple.com/library/ios/samplecode/Lister/Introduction/Intro.html): List app example by Apple 🔶 
- [Natural Language Clock](https://github.com/chadkeck/Natural-Language-Clock): Display the time as you would speak it 🔶
- [OnTime](https://github.com/D-32/OnTime): Apple Watch app to access the SBB (Swiss railway) timetable
- Parties for WWDC 🔥 
  - https://github.com/genadyo/WWDC
  - https://itunes.apple.com/app/parties-for-wwdc/id879924066
- PhoneBattery: Your phone's battery, on your wrist
  - https://github.com/marcelvoss/PhoneBattery
  - https://itunes.apple.com/app/phonebattery-your-phones-battery/id1009278300
- [PhotoWatch](https://github.com/dropbox/PhotoWatch): Uses the SwiftyDropbox SDK 🔶
- [Soon](https://github.com/sandofsky/soon): Countdown App 🔶
- [WatchKit-Apps](https://github.com/kostiakoval/WatchKit-Apps): Tutorials app for WatchKit 🔶🔥🔥🔥
- [Watchman](https://github.com/DanielTomlinson/Watchman): A WatchOS2 Hangman Game 🔶
- [WatchNotes](https://github.com/azamsharp/WatchNotes): Notes on your wrist 🔶
- [watchOS-2-Sampler](https://github.com/shu223/watchOS-2-Sampler): Code examples for new features of watchOS 2 🔶🔥🔥🔥
- [WatchPics](https://github.com/D-32/WatchPics): Instagram app 
- [WatchSnake](https://github.com/davidcairns/-WatchSnake): Game of Snake 🔶
- [WatchStocks](https://github.com/G2Jose/WatchStocks): Track your stocks portfolio, also includes a watch face complication 🔶
- [Wunderschnell](https://github.com/contentful-labs/Wunderschnell): Order the right product with one tap on your wrist 🔶

## Browser

- [Brave](https://github.com/brave/browser-ios): [Firefox][]-based browser with ad blocking built in (also blocks tracking pixels/cookies) 🔶🔥🔥
- Endless Browser: Web browser built with privacy and security in mind
  - https://github.com/jcs/endless
  - https://itunes.apple.com/app/endless-browser/id974745755
- [Firefox][]: Official Firefox app 🔶🔥🔥🔥🔥🔥 ([Firefox on the App Store][])
- Frameless: A full-screen web browser 🔶🔥🔥🔥
  - https://github.com/stakes/Frameless
  - https://itunes.apple.com/app/id933580264

## Communication

- Actor: Communication app with a focus on speed and security 
  - https://github.com/actorapp/actor-platform
  - https://itunes.apple.com/app/actor-messenger/id1025501036
- [BLEMeshChat](https://github.com/chrisballinger/BLEMeshChat): Bluetooth LE mesh chat 🔥
- [Chats](https://github.com/acani/Chats): Messages app 🔶🔥🔥🔥🔥u
- ChatSecure: Encrypted chat app that supports OTR encryption over XMPP 🔥🔥🔥🔥
  - https://github.com/ChatSecure/ChatSecure-iOS
  - https://itunes.apple.com/app/chatsecure-encrypted-messenger/id464200063
- [Colloquy](https://github.com/colloquy/colloquy): IRC client
- IRCCloud: An IRC client/service 🔥
  - https://github.com/irccloud/ios
  - https://itunes.apple.com/app/irccloud/id672699103
- M: Email with device-to-device encryption for messages sent between M users
  - https://github.com/Mynigma/M
  - https://itunes.apple.com/app/m-safe-email-made-simple/id818498595
- [Mumble](https://github.com/mumble-voip/mumble-iphoneos): Gaming-focused social voice chat utility 🔥
- [Rocket.Chat](https://github.com/RocketChat/Rocket.Chat.iOS): Meteor chat platform app 🔶
- Signal: Free, world-wide, private messaging and phone calls for iPhone 🔥🔥🔥🔥
  - https://github.com/WhisperSystems/Signal-iOS
  - https://itunes.apple.com/app/id874139669
- surespot: Secures all messages using end-to-end encryption
  - https://github.com/surespot/surespot-ios
  - https://itunes.apple.com/app/surespot/id790314865
- Telegram: Messaging app with a focus on speed and security 🔥🔥🔥
  - https://github.com/peter-iakovlev/Telegram
  - https://itunes.apple.com/app/telegram-messenger/id686449807
- [TextEthan](https://github.com/thii/TextEthan): Clone of TextEthan, a messaging app that allows anyone to message you 🔶

## Conference

- [EventBlankApp](https://github.com/icanzilb/EventBlankApp): App for events or conferences 🔶🔥🔥
- [NortalTechDay][]: Nortal TechDay 2015 app 🔥
- [ParseDeveloperDay][]: Parse 2013 developer conference app
- [RWDevCon](https://github.com/raywenderlich/RWDevCon-App): RWDevCon app 🔶
- [trySwiftApp](https://github.com/tryswift/trySwiftApp): try! Swift conference app 🔶🔥
- [Valio](https://github.com/soffes/valio): Valio Con 2014 schedule 🔶🔥🔥

## Content Blocking

- Adblock Fast 🔥🔥
  - https://github.com/rocketshipapps/adblockfast
  - https://itunes.apple.com/app/adblock-fast/id1032930802
- Adblock Plus
  - https://github.com/adblockplus/adblockplussafariios
  - https://itunes.apple.com/app/adblock-plus-abp/id1028871868
- [BlockParty](https://github.com/krishkumar/BlockParty): Content blocker for iOS and OS X 🔥🔥🔥
- [Focus](https://github.com/mozilla/focus): Content blocker by Firefox 🔶🔥🔥

## Developer

- AppLove: View app reviews for all territories (countries) 🔶
  - https://github.com/snowpunch/AppLove
  - https://itunes.apple.com/app/app-love/id1099336831
- [Bequest](https://github.com/splinesoft/Bequest): Create and replay HTTP/S requests 🔶
- Codinator: Code editor for iPhone and iPad
  - https://github.com/VWAS/codinator
  - https://itunes.apple.com/app/codinator/id1024671232
- Charter: A Swift mailing list client for iPhone and iPad 🔶🔥
  - https://github.com/matthewpalmer/Charter
  - https://itunes.apple.com/app/charter-mailing-list-client/id1082212697
- CI2Go: An unofficial CircleCI Client 🔶
  - https://github.com/ngs/ci2go
  - https://itunes.apple.com/app/ci2go-the-circleci-client/id940028427
- [Review Time](https://github.com/nthegedus/ReviewTime): Shows average review times for iOS and Mac apps 🔶🔥
- TLDR Man Page: Reference dictionary for computer manual commands, but in TL;DR (Too long didn't read) mode 🔶
  - https://github.com/freesuraj/TLDR
  - https://itunes.apple.com/app/tldr-man-page/id1073433250
- [wat](https://github.com/pj4533/wat): Very simple packet sniffer in Swift 🔶

### GitHub

- [Github-Swift](https://github.com/acmacalister/Github-Swift): App written in Swift using the Github API 🔶
- Monkey: GitHub third party client that shows the rank of coders and repositories 🔥🔥🔥
  - https://github.com/coderyi/Monkey
  - https://itunes.apple.com/app/monkey-for-github/id1003765407
- [MrCode](https://github.com/haolloyin/MrCode): GitHub iPhone app that can cache Markdown content 🇨🇳 🔥🔥
- OctoPodium: List user rankings based on GitHub repository star count 🔶
  - https://github.com/nunogoncalves/iOS-OctoPodium
  - https://itunes.apple.com/app/octopodium/id1077519133

## Finance

- BitStore: Bitcoin wallet
  - https://github.com/BitStore/BitStore-iOS
  - https://itunes.apple.com/app/bitstore/id890668158
- breadwallet: Bitcoin wallet
  - https://github.com/breadwallet/breadwallet
  - https://itunes.apple.com/app/breadwallet/id885251393
- Buck Tracker: Expense tracker 🔶
  - https://github.com/hkalexling/Buck_Tracker
  - https://itunes.apple.com/app/ibudgeter/id1048395728
- [Coins](https://github.com/nothingmagical/coins): Bitcoin value tracker 🔶🔥
- Concurrency: Beautiful, intuitive currency converter 🔥🔥
  - https://github.com/nicklockwood/Concurrency
  - https://itunes.apple.com/app/concurrency/id738872892
- doughwallet: Dogecoin wallet
  - https://github.com/peritus/doughwallet
  - https://itunes.apple.com/app/doughwallet/id951731776
- Savings Assistant: Expense tracker 🔶
  - https://github.com/chrisamanse/savings-assistant
  - https://itunes.apple.com/app/savings-assistant/id1022760996
- TodayStocks: Lightweight stocks app that shows your portfolio in a minimalist today extension
  - https://github.com/premnirmal/TodayStocks
  - https://itunes.apple.com/app/todaystocks/id993467855
- ToThePenny: Budget tracker
  - https://github.com/vanyaland/ToThePenny
  - https://itunes.apple.com/app/tothepenny/id994476075

## Games

- [翻翻看](https://github.com/geek5nan/FanFanSwift): Concentration game 🇨🇳 🔶🔥 
- [2048](https://github.com/austinzheng/iOS-2048): 2048 game in Objective-C 🔥
- [2048](https://github.com/austinzheng/swift-2048): 2048 game in Swift 🔶🔥🔥🔥🔥
- Bridges: A puzzle game with bridges, houses, tolls, and subways 🔥
  - https://github.com/zgrossbart/bridges
  - https://itunes.apple.com/app/seven-bridges/id586598714
- Canabalt: Infinite runner 🔥🔥🔥🔥
  - https://github.com/ericjohnson/canabalt-ios
  - https://itunes.apple.com/app/canabalt/id333180061
- [CardsAgainst](https://github.com/jpsim/CardsAgainst): Cards Against Humanity app 🔶🔥🔥
- [Chess](https://github.com/mjcuva/Chess): iOS Chess game to learn SpriteKit 🔶
- [CodeCombat](https://github.com/codecombat/codecombat-ios): Multiplayer programming game for learning how to code
- Chuck: Throw a ball and catch it. Over and over and over.
  - https://github.com/moowahaha/Chuck
  - https://itunes.apple.com/app/chuck/id1050453297
- DOOM: Doom Classic for iOS 🔥🔥
  - https://github.com/id-Software/DOOM-iOS
  - https://itunes.apple.com/app/doom-classic/id336347946
- DOOM-IOS2: Doom Classic for iOS version 2 🔥
  - https://github.com/id-Software/DOOM-IOS2
  - https://itunes.apple.com/app/doom-ii-rpg/id354051766 
- [Dungeon Crawl](https://github.com/CliffsDover/crawl/tree/iOS_Release): A game of dungeon exploration, combat and magic, involving characters of diverse skills
- [Five-In-A-Row](https://github.com/WelkinXie/FiveInARow): Five In A Row (五子棋) game with SpriteKit 🇨🇳
- [FlappySwift](https://github.com/fullstackio/FlappySwift): Swift implementation of Flappy Bird 🔶🔥🔥🔥🔥🔥
- [Game Of Life](https://github.com/yonbergman/swift-gameoflife): Conway's Game of Life 🔶
- [GBA4iOS](https://bitbucket.org/rileytestut/gba4ios/): Gameboy, Gameboy Color & Gameboy Advance emulator 
- [Gorillas](https://github.com/Lyndir/Gorillas): An iPhone (or iPod touch) port of the popular old QBasic game with spunk! 🔥🔥
- [GrubbyWorm](https://github.com/gamechina/GrubbyWorm): A simple digital worm game made with iOS 9, SpriteKit, GameplayKit and ReplayKit, written in Swift 2 🔶
- [littlego](https://github.com/herzbube/littlego): Play the game of Go on the iPhone or iPad
- MUDRammer: MUD Client for iPhone and iPad
  - https://github.com/splinesoft/MUDRammer
  - https://itunes.apple.com/app/mudrammer-a-modern-mud-client/id597157072
- Mission999
  - https://github.com/whunmr/Mission999
  - https://itunes.apple.com/app/mission-999/id1036686316
- [Orbit7](https://github.com/Mav3r1ck/Orbit7): iOS Game created in SpriteKit 🔶
- [Provenance][]: Frontend for multiple emulators, currently supporting Sega Genesis, SNES, NES, GB/GBC, & more 🔥🔥🔥🔥
- Sakura Fly: Action game created in SpriteKit
  - https://github.com/l800891/Sakura-Fly
  - https://itunes.apple.com/app/sakura-fly/id1019023051
- [SceneKitFrogger](https://github.com/devindazzle/SceneKitFrogger) 🔶
- Spare Parts: Simple 2D point and line physics using Verlet integration
  - https://github.com/adamwulf/spare-parts-app
  - https://itunes.apple.com/app/spare-parts/id981297199 
- [Stick-Hero-Swift](https://github.com/phpmaple/Stick-Hero-Swift): Universal iOS Game using Swift and iOS SpriteKit 🔶🔥🔥
- Wolfenstein 3D: Wolfenstein 3D for iOS 🔥🔥
  - https://github.com/id-Software/Wolf3D-iOS
  - https://itunes.apple.com/app/wolfenstein-3d-classic-platinum/id309470478

## Health

- [Arex](https://github.com/a2/arex-7): App for remembering to take your medications 🔶
- AsthmaHealth: ResearchKit app studying Asthma 
  - https://github.com/ResearchKit/AsthmaHealth
  - https://itunes.apple.com/app/asthma-health-by-mount-sinai/id972625668
- Depressed: Test if you are depressed 🔶 
  - https://github.com/DerLobi/Depressed
  - https://itunes.apple.com/app/depressed/id1062594092
- GlucoSuccess: ResearchKit app studying Diabetes
  - https://github.com/ResearchKit/GlucoSuccess
  - https://itunes.apple.com/app/glucosuccess/id972143976 
- [HealthKit~Swift](https://github.com/Darktt/HealthKit-Swift): Sample app for Apple HealthKit 🔶 
- [Jim][]: Track your gym workouts 🔶 
- LogU: A Strength Logger is a simple logging application for strength athletes.🔶
  - https://github.com/brettalcox/logU-swift
  - https://itunes.apple.com/app/logu-a-strength-logger/id1084487510
- mPower: ResearchKit app studying Parkinson's disease 
  - https://github.com/ResearchKit/mPower
  - https://itunes.apple.com/app/parkinson-mpower-study-app/id972191200  
- MyHeartCounts: Personalized tool that can help you measure daily activity, fitness, and cardiovascular risk
  - https://github.com/ResearchKit/MyHeartCounts
  - https://itunes.apple.com/app/id972189947
- rTracker: A generic, customizable personal data tracker
  - https://github.com/rob-miller/rTracker
  - https://itunes.apple.com/app/rtracker-track-it-all-your-way/id486541371
- Share The Journey: ResearchKit app studying Breast Cancer  
  - https://github.com/ResearchKit/ShareTheJourney
  - https://itunes.apple.com/app/share-the-journey/id972180604 
- Speak: AAC & Speech Therapy 
  - https://github.com/raynesio/speakability
  - https://itunes.apple.com/app/speakability/id784509467

## Keyboards

- AA-Keyboard: ASCI Art Keyboard
  - https://github.com/sonsongithub/AAKeyboard
  - https://itunes.apple.com/app/aa-keyboard/id964182815
- ClickWheelKeyboard: Brings back the classic iPod click wheel as a keyboard for iOS 8
  - https://github.com/b3ll/ClickWheelKeyboard
  - https://itunes.apple.com/app/click-wheel-keyboard/id993111285 
- [Hodor](https://github.com/jonomuller/Hodor-Keyboard): Fun Hodor keyboard 🔶
- [NaughtyKeyboard](https://github.com/Palleas/NaughtyKeyboard): Keyboard that supports The Big List of Naughty Strings 🔶🔥🔥🔥
- [Slidden](https://github.com/Brimizer/Slidden): An open source, customizable, iOS keyboard 🔥🔥

## Location

- [Alarm](https://github.com/ChrisChares/swift-alarm): Geolocation based alarm app for travelers 🔶🔥
- [Doppio](https://github.com/chroman/Doppio): Finds the nearest Starbucks 🔥🔥🔥
- Cafe 🔶🇨🇳
  - https://github.com/flexih/Cafe
  - https://itunes.apple.com/app/diao-ke-shi-guang/id440983941
- DoctorNearby: Is a healthcare app, which helps you find doctors in your city
  - https://github.com/vincezzh/doctornearby-ios
  - https://itunes.apple.com/app/doctor-nearby/id1068715113
- EatNow: Get recommendations for nearby restaurants.
  - https://github.com/callzhang/Eat-Now
  - https://itunes.apple.com/app/eat-now-instant-personalized/id946591471
- [GeoTappy](https://github.com/GeoTappy/GeoTappy-iOS): Share your location
- [HopperBus](https://github.com/TosinAF/HopperBus-iOS): Timetable for the University of Nottingham Hopper Bus 🔶
- [iBeaconTasks][]: iBeacon TODO reminder app based on Parse
- Locative: Helping you to get the best out of your automated home, geofencing, iBeacons at your hand 🔥
  - https://github.com/LocativeHQ/ios-app
  - https://itunes.apple.com/app/locative/id725198453
- [Moves](https://github.com/neonichu/Places): Visualize which places you spent the most time at
- OneBusAway: Real-time arrival & schedule information for public transit in Seattle, Atlanta, Tampa, and more 🔥
 - https://github.com/OneBusAway/onebusaway-iphone
 - https://itunes.apple.com/app/onebusaway/id329380089
- [OwnTracks](https://github.com/owntracks/ios): Keep track of your own location, you can build your private location diary or share it with your family and friends.
- ParkenDD: Check the status of several public parking lots in Germany and Switzerland 🔶
  - https://github.com/kiliankoe/ParkenDD
  - https://itunes.apple.com/app/parkendd/id957165041
- [pathlogger](https://github.com/eugenpirogoff/pathlogger): GPS logging application for iOS written in Swift 🔶
- [PebCiti](https://github.com/joemasilotti/PebCiti): Pebble app to show nearest CitiBike NYC dock
- [Startups - Mapped In Israel](https://github.com/sugarso/MappedInIsrael): Discover new startups and locate co-working spaces
- [Swift-Walk-Tracker](https://github.com/kevinvanderlugt/Swift-Walk-Tracker): An open source walk tracking iOS App 🔶
- [Smart Traveller (UberGuide)](https://github.com/hACKbUSTER/UberGuide-iOS): Simple and comfortable way to explore a city using Uber API 🔥
- VisitBCN: City guide for Barcelona
  - https://github.com/maurovc/visitBCN
  - https://itunes.apple.com/app/visitbcn/id904676442

## Media

*Image, video, audio, reading*

- 360 VR Player: Universal 360° video player 🔥🔥🔥
  - https://github.com/hanton/HTY360Player
  - https://itunes.apple.com/app/360-vr-player/id1061464612
- [Analog Synth X](http://matthewfecher.com/app-developement/swift-synth/): Analog Synthesizer Keyboard Music App, created w/ Swift 2 🔶 ([code](https://github.com/audiokit/AudioKit/tree/master/Examples/iOS/AnalogSynthX))
- Artsy: The Art World in Your Pocket 🔥🔥🔥🔥
  - https://github.com/artsy/eigen
  - https://itunes.apple.com/app/artsy-art-world-in-your-pocket/id703796080
- Artsy Folio: Artwork showcase 🔥
  - https://github.com/artsy/energy
  - https://itunes.apple.com/app/artsy-folio/id504862164
- [CollageMaker](https://github.com/Azoft/CollageMaker-iOS): Import photos from an Instagram user and make a collage
- ColorBlur: Add blur to your photos
  - https://github.com/maurovc/ColorBlur
  - https://itunes.apple.com/app/id928863510
- ComicFlow: Comic reader for iPad 🔥
  - https://github.com/swisspol/ComicFlow
  - https://itunes.apple.com/app/comicflow/id409290355
- [DoubanFM](https://github.com/XVXVXXX/DoubanFM): douban.fm client for iPhone, using AFN and MPMoviePlayer 🇨🇳 🔥🔥 
- Dunk: Dribbble client 🔶🔥🔥
  - https://github.com/naoyashiga/Dunk
  - https://itunes.apple.com/app/dunk-for-dribbble/id1003028105
- Eleven: Eleven Player is a simple powerful video player, uses ffmpeg 🔥🔥
  - https://github.com/coderyi/Eleven
  - https://itunes.apple.com/app/elevenplayer/id1033773648
- [EX Player][extvplayer]: Watch video from ex.ua on iOS device
- [Filterpedia](https://github.com/FlexMonkey/Filterpedia): Core Image Filter explorer 🔶🔥🔥🔥
- [Flickr-Search](https://github.com/alikaragoz/Flickr-Search/): Simple app which consumes the Flickr Search API
- [FreeStreamer](https://github.com/muhku/FreeStreamer): A low-memory footprint streaming audio player 🔥🔥🔥
- KonaBot: unofficial client for konachan.net 🔶
  - https://github.com/hkalexling/KonaBot-iOS
  - https://itunes.apple.com/app/konabot/id1055716649
- Longboxed: Track the releases of your favorite comics.
  - https://github.com/jayhickey/Longboxed-iOS
  - https://itunes.apple.com/app/longboxed-comic-tracker/id965045339 
- [Megabite](https://github.com/AaronRandall/Megabite): Turn a photo of your food into a face 🔥🔥
- [movies](https://github.com/KMindeguia/movies): Movie info app 🔥🔥🔥
- OCiney: Movie info app 🔥
  - https://github.com/florent37/OCiney-iOS
  - https://itunes.apple.com/app/id955480687
- [OpenPics](https://github.com/pj4533/OpenPics):  View historical images from multiple remote sources
- Open Source Selfie Stick: Sync two iOS devices and use one as a remote control for the other's camera!
  - https://github.com/RF-Nelson/open-source-selfie-stick
  - https://itunes.apple.com/app/id1084487132
- [PhotoBrowser](https://github.com/MoZhouqi/PhotoBrowser): A simple iOS Instagram photo browser 🔶🔥🔥 
- Poppins: House all your favorite GIFs and easily share them with your friends and family 🔶
  - https://github.com/thoughtbot/poppins
  - https://itunes.apple.com/app/poppins/id978854068
- PhishOD: Listen to any song from Phish.in and view concert ratings and reviews from phish.net
  - https://github.com/alecgorge/PhishOD-iOS
  - https://itunes.apple.com/app/phish-on-demand-all-phish/id672139018
- [PopcornTime](https://github.com/danylokostyshyn/popcorntime-ios): PopcornTime movie app 🔶
- [prankPro](https://github.com/huijimuhe/prankPro): Record a 6 second video while playing prank sounds
- [Pugs](https://github.com/soffes/Pugs): Simple pug photo viewer 🔶
- [Revolved](https://github.com/Ciechan/Revolved): 3D modelling app for the iPad 🔥🔥🔥
- [SoundCloudSwift](https://github.com/pepibumur/SoundCloudSwift): SoundCloud client written on Swift 🔶🔥
- [Swift ASCII Art Generator](https://github.com/ijoshsmith/swift-ascii-art) 🔶🔥
- [Swifteroid](https://github.com/eugenpirogoff/swifteroid): A manual HDR exposure camera app written in Swift 🔶
- [SwiftFlickrApp](https://github.com/synboo/SwiftFlickrApp): Flickr popular photo viewer 🔶🔥🔥
- [Swift Radio Pro](https://github.com/swiftcodex/Swift-Radio-Pro): Professional Radio Station App, created w/ Swift 2.0 🔶🔥🔥🔥🔥
- [SwiftSpace](https://github.com/FlexMonkey/SwiftSpace): CoreMotion Controlled Drawing in 3D Space 🔶
- TechTavta: Keep track of all events for Techtatva 2015
  - https://github.com/LUGM/TechTatva-15
  - https://itunes.apple.com/in/app/techtatva15/id922178880
- That Movie With: Find common movies among actors
  - https://github.com/jayhickey/thatmoviewith
  - https://itunes.apple.com/app/that-movie-with/id892972135
- Textbook: textbooks from People's Education Press in China 🔶 🇨🇳
  - https://github.com/JohnWong/textbook
  - https://itunes.apple.com/app/ke-ben/id993244460
- Upupu: Simple camera app that can backup pictures on a WebDAV server or Dropbox
  - https://github.com/xcoo/upupu
  - https://itunes.apple.com/app/upupu/id508401854
- [VLC][]: Media Player 🔥🔥🔥🔥 ([VLC on the App Store][], [VLC videolan.org][])
- [VoiceMemos](https://github.com/MoZhouqi/VoiceMemos): Universal audio recorder app 🔶🔥   
- xkcd: iPhone app
  - https://github.com/paulrehkugler/xkcd
  - https://itunes.apple.com/app/xkcd/id303688284
- xkcd Open Source: An xkcd Comic Reader 🔥
  - https://github.com/mamaral/xkcd-Open-Source
  - https://itunes.apple.com/app/xkcd-open-source/id995811425

## News

- Designer News App 🔶🔥🔥🔥🔥 
  - https://github.com/MengTo/DesignerNewsApp
  - https://itunes.apple.com/app/designer-news-app/id879990495
- Feeds4U: Well architected RSS reader 🔶
  - https://github.com/EvgenyKarkan/Feeds4U
  - https://itunes.apple.com/app/feeds4u/id1038456442
- GrinnellEvents: Grinnell Events gathers all events on campus, and lists them so you can see what's happening
  - https://github.com/kvnbautista/Grinnell-Events-iOS
  - https://itunes.apple.com/app/grinnell-events/id924312300
- [NirZhihuDaily2.0](https://github.com/zpz1237/NirZhihuDaily2.0) 🇨🇳 🔥🔥🔥
- [Reddit](https://github.com/amitburst/reddit-demo): Reddit news app 🔶
- RSSRead: A RSS reader with offline feature 🇨🇳 🔥🔥
  - https://github.com/ming1016/RSSRead
  - https://itunes.apple.com/app/yi-yue-rss-li-xian-xin-wen-yue-du/id850246364
- [TabDump](https://github.com/dkhamsing/TabDump): TabDump news app
- The Oakland Post: App for student-run newspaper at Oakland University in Rochester, Michigan 🔶🔥🔥
  - https://github.com/aclissold/the-oakland-post 
  - https://itunes.apple.com/app/oakland-post/id931152313  
- v2ex: An iOS client for the technical and creative website v2ex.com 🇨🇳 🔥🔥🔥🔥 
  - https://github.com/singro/v2ex 
  - https://itunes.apple.com/app/v2ex-chuang-yi-gong-zuo-zhe/id898181535

### Hacker News

- Hacker News Client: Firebase API-Based iOS Reader (Firebase) 🔥🔥
  - https://github.com/bonzoq/hniosreader
  - https://itunes.apple.com/app/hacker-news-client/id939454231 
- HackerNews (Y): Built using pure Objective-C with official HN API (uses Firebase and Fabric)
  - https://github.com/vetri02/HackerNews
  - https://itunes.apple.com/app/hacker-news-y/id1027140113
- [HackerNews](https://github.com/amitburst/HackerNews) 🔶🔥🔥🔥
- [Hackers](https://github.com/weiran/Hackers) 🔶🔥🔥
- HN-App 🔶
  - https://github.com/NikantVohra/HackerNewsClient-iOS
  - https://itunes.apple.com/app/hn-app/id983203003
- [HN Reader][]: Hacker News Reader 🔶🔥🔥🔥  ([HN Reader on the App Store][])
- News/YC: Hacker News client with user management, commenting, submitting and themes 🔶🔥🔥🔥
  - https://github.com/bennyguitar/News-YC---iPhone
  - https://itunes.apple.com/app/news-yc/id592893508
- news:yc 🔥🔥🔥🔥
  - https://github.com/Xuzz/newsyc 
  - https://itunes.apple.com/app/news-yc/id434787119
- Simple Reader 🔥
  - https://github.com/rnystrom/HackerNewsReader
  - https://itunes.apple.com/app/simple-reader-free-open-source/id1000995253

## Official

- Coding: Official Coding app 🔥🔥🔥
  - https://github.com/Coding/Coding-iOS
  - https://itunes.apple.com/app/coding/id923676989
- DuckDuckGo: Official DuckDuckGo app
  - https://github.com/duckduckgo/ios/
  - https://itunes.apple.com/app/duckduckgo-search-stories/id663592361 
- [Firefox][]: Official Firefox app 🔶🔥🔥🔥🔥🔥 ([Firefox on the App Store][])
- [VLC][]: Official VLC app 🔥🔥🔥🔥 ([VLC on the App Store][], [VLC videolan.org][])
- WhiteHouse: Official White House app 🔥🔥🔥
  - https://github.com/WhiteHouse/wh-app-ios
  - https://itunes.apple.com/app/the-white-house/id350190807
- Wikipedia: Official Wikipedia app 🔥🔥🔥
  - https://github.com/wikimedia/wikipedia-ios
  - https://itunes.apple.com/app/wikipedia-mobile/id324715238
- WordPress: Official WordPress app 🔥🔥🔥
  - https://github.com/wordpress-mobile/WordPress-iOS
  - https://itunes.apple.com/app/wordpress/id335703880

## Sample

- Cannonball: Fun way to create and share stories and poems using Fabric 🔶🔥🔥
  - https://github.com/twitterdev/cannonball-ios 
  - https://itunes.apple.com/app/cannonball-magnetic-poetry/id929750075
- Code by Apple 🔥🔥🔥
  - [Developer Library](https://developer.apple.com/library/ios/navigation/#section=Resource%20Types&topic=Sample%20Code), [GitHub Mirror](https://github.com/robovm/apple-ios-samples)
  - [WWDC 2015](https://developer.apple.com/sample-code/wwdc/2015/) 
- [CloudKit](https://github.com/Yalantis/CloudKit-Demo.Objective-C) 
- [CloudKit](https://github.com/Yalantis/CloudKit-Demo.Swift) :large_orange_diamond: 
- [Federal Data SDK](https://github.com/USDepartmentofLabor/Swift-Sample-App) 🔶 
- [Furni](https://github.com/twitterdev/furni-ios): Furniture store demo app using Fabric 🔶🔥
- [HomeKit-Demo](https://github.com/KhaosT/HomeKit-Demo) 🔶🔥🔥
- [iOS 8 Sampler](https://github.com/shu223/iOS8-Sampler): Code examples for the new functions in iOS 8 🔥🔥🔥🔥🔥
- [iOS 9 Sampler](https://github.com/shu223/iOS-9-Sampler): Code examples for the new functions in iOS 9 🔶🔥🔥🔥🔥🔥
- [KnockToReact](https://github.com/MatheusCavalca/KnockToReact): Interact with users just by receiving and recognizing "knocks" in the device
- [Layer-Parse](https://github.com/kwkhaw/Layer-Parse-iOS-Swift-Example): This is a Swift sample app that integrates Layer and Atlas with Parse 🔶
- LayerPlayer: Explore the capabilities of Apple's Core Animation API 🔶🔥🔥🔥
  - https://github.com/scotteg/LayerPlayer
  - https://itunes.apple.com/app/layer-player/id949768742
- [LVMC](https://github.com/falkolab/LVMC-Demo-Alloy-App): Multicolumn ListView helper library for Titanium
- OpenShop.io: Ecommerce shopping app
  - https://github.com/openshopio/openshop.io-ios
  - https://itunes.apple.com/app/id1088689646
- [Polls](https://github.com/apiaryio/polls-app): iOS Client for Polls API by Apiary 🔶
- [Reusable Code](https://github.com/carlbutron/Swift): Reusable code, written in Swift 🔶🔥🔥🔥🔥🔥
- [RKGist](https://github.com/RestKit/RKGist): GitHub Gist app using RestKit
- [SafariAutoLoginTest](https://github.com/mackuba/SafariAutoLoginTest): Demo showing how to auto-login users in iOS 9 based on Safari cookies 🔶
- [Starship](https://github.com/kylef/Starship): A generic API client application for iOS using Hyperdrive 🔶
- [StateRestorationDemo](https://github.com/shagedorn/StateRestorationDemo): State preservation and restoration APIs 🔶
- [Swift-Demos](https://github.com/Lax/iOS-Swift-Demos): Collection of demos for Swift 🇨🇳🔶🔥🔥🔥🔥

## Security

- FreeOTP Two-Factor Authentication
  - https://fedorahosted.org/freeotp/browser/ios
  - https://itunes.apple.com/app/freeotp/id872559395
- MasterPassword: Stateless password management solution 🔥🔥
  - https://github.com/Lyndir/MasterPassword
  - https://itunes.apple.com/app/id510296984
- MiniKeePass: Secure Password Manager 🔥🔥
  - https://github.com/MiniKeePass/MiniKeePass
  - https://itunes.apple.com/app/id451661808
- SkeletonKey: iPhone password manager with Dropbox
  - https://github.com/chrishulbert/SkeletonKey
  - https://itunes.apple.com/app/skeleton-key-password-manager/id513648119
- [ZeroStore](https://github.com/kylebshr/zerostore-ios): password storage without the storage

## Social

- Aozora: Discover and track anime 🔶
  - https://github.com/pjchavarria/Aozora
  - https://itunes.apple.com/app/aozora-anime-community-track/id1017433045
- Peggsite: App for sharing a social board
  - https://github.com/jenduf/GenericSocialApp
  - https://itunes.apple.com/app/peggsite/id938445951 
- StreetMusicMap: Is a collaborative global community that connects street musicians, fans and videomakers.
  - https://github.com/henriquevelloso/StreetMusicMap
  - https://itunes.apple.com/app/street-music-map/id980068735
- Yep: Discover talent and build something together 🔶🔥🔥🔥🔥🔥
  - https://github.com/CatchChat/Yep
  - https://itunes.apple.com/app/yep-meet-genius/id983891256

## Tasks

- 1Trackr: Digitally log in your community service hours onto the cloud
  - https://github.com/JerryHDev/1Trackr
  - https://itunes.apple.com/app/1trackr-service-hour-tracking/id1072273630
- [CloudKit-To-Do-List](https://github.com/anthonygeranio/CloudKit-To-Do-List): Store & retrieve tasks using CloudKit 🔶
- [MyAwesomeChecklist](https://github.com/imod/MyAwesomeChecklist) 🔶
- [RealmToDo][]: A small todo list with Realm integration 🔶
- [Swift Off](https://github.com/goprimer/swift-off-todo): Firebase powered to do app built in Swift, includes tutorial 🔶
- [Todo](https://github.com/JakeLin/Todo): A todo list app written in Swift 🔶🔥
- Todo.txt: If you have a file called todo.txt on your computer right now, you're in the right place 🔥🔥
  - https://github.com/ginatrapani/todo.txt-ios
  - https://itunes.apple.com/app/todo.txt-touch/id491342186
- Tinylog: A minimal iPhone/iPad TODO app 🔶
  - https://github.com/binarylevel/Tinylog-iOS
  - https://itunes.apple.com/app/tinylog/id799267191

## Weather

- [Lucid Weather Clock](https://github.com/wrutkowski/Lucid-Weather-Clock): Swift precipitation clock - uses Forecast.io 🔶
- [Pocket Forecast](https://github.com/appsquickly/Typhoon-Swift-Example): Swift weather application for Typhoon 🔶🔥🔥
- [RainMan](https://github.com/Mav3r1ck/Project-RainMan): Uses Forecast.io 🔶🔥🔥🔥
- [Sol](https://github.com/comyarzaheri/Sol): Uses Weather Underground 🔥🔥🔥🔥
- [SmileWeather](https://github.com/liu044100/SmileWeather): Uses Weather Underground & OpenWeatherMap 🔥🔥
- [SwiftWeather](https://github.com/JakeLin/SwiftWeather) 🔶🔥🔥🔥🔥🔥
- [Tropos][]: A weather app using ReactiveCocoa and Forecast.io 🔥🔥🔥🔥 ([Tropos on the App Store][])
- [WeatherApp][]: Weather app using React Native 
- WeatherMap: Weather around you in a glance, uses OpenWeatherMap 🔶🔥🔥
  - https://github.com/TakefiveInteractive/WeatherMap
  - https://itunes.apple.com/app/weather-map-take-five-interactive/id990141529
- YoCelsius 🔥🔥🔥
  - https://github.com/YouXianMing/YoCelsius 
  - https://itunes.apple.com/app/yocelsius/id967721892

## Web

- PHPHub: Universal app for PHPHub Forum 🇨🇳🔥🔥
  - https://github.com/Aufree/phphub-ios
  - https://itunes.apple.com/app/phphub-ji-ji-xiang-shang-php/id1052966564
- ProMonster: Store 🇧🇷
  - https://github.com/usemobile/promonster-ios
  - https://itunes.apple.com/app/promonster/id919649318
- QiitaCollection: Technical knowledge sharing and collaboration platform 🇯🇵
  - https://github.com/anzfactory/QiitaCollection
  - https://itunes.apple.com/app/kitakore-for-qiita/id973532800

## Misc

- A Menjar: Food menu app 🇪🇸
  - https://github.com/maurovc/aMenjar
  - https://itunes.apple.com/app/a-menjar!/id816473131
- [bar](https://github.com/soffes/bar): Cocktail menu 🔶
- Be my eyes: Connect blind people with volunteer helpers via live video chat 🔥🔥
  - https://github.com/bemyeyes/bemyeyes-ios
  - https://itunes.apple.com/app/be-my-eyes-helping-blind-see/id905177575
- [BlogQuest](https://github.com/irace/BlogQuest): Alternative Tumblr client
- [Borrowed Books UFGRS](https://github.com/MatheusCavalca/RenovaLivrosUFRGS): Manage borrowed books at UFRGS using SABI 🔶
- [CardDecks](https://github.com/aharren/CardDecks): Configurable card decks
- [ChineseZodiac](https://github.com/JakeLin/ChineseZodiac) 🔶🔥
- [Colo](https://github.com/wongzigii/Colo): Color themes hunter
- [DeckRocket](https://github.com/jpsim/DeckRocket): Turn your iPhone into a remote for Deckset presentations 🔶🔥🔥
- [EmotionNote](https://github.com/Yogayu/EmotionNote): Emotion diary — choose or take a photo of your face, the app will tell you your emotion 🔶
- [GammaThingy](https://github.com/thomasfinch/GammaThingy): Change screen gamma dynamically 🔥🔥🔥
- [GoodNight](https://github.com/anthonya1999/GoodNight): Change screen gamma dynamically 🔥🔥
- GreatReader: "Great" PDF reader designed for both iPhone and iPad 🔥🔥
  - https://github.com/semweb/GreatReader
  - https://itunes.apple.com/app/greatreader/id903651112
- [HackCancer](https://github.com/HackCancer/iOS): [Hackathon app](http://www.hackcancer.co/) 🔶
- [Hidrate](https://github.com/mjcuva/Hidrate): App for smart water bottle

- [iCopyPasta](https://github.com/alltheflow/iCopyPasta): Pasteboard feed app 🔶🔥
- iContactU: Reminds you to contact people you ought to 🔶🔥
  - https://github.com/rizal72/iContactU
  - https://itunes.apple.com/app/icontactu/id920200100
- iGrades: Track your class grades
  - https://github.com/maurovc/iGrades
  - https://itunes.apple.com/app/id816987574
- Jupp: App with share extension for ADN 🔶
  - https://github.com/dasdom/Jupp
  - https://itunes.apple.com/app/jupp-share-extension-for-app.net/id909926740
- LidderbuchApp: Songbook for Luxembourgish Students 🔶🇱🇺
  - https://github.com/AcelLuxembourg/LidderbuchApp
  - https://itunes.apple.com/app/lidderbuch/id997143407
- [Mirror++](https://github.com/nathunsmitty/MirrorPlusPlus): Minimalist mirror 🔶
- my41: HP-41C/CV/CX Microcode emulator
  - https://github.com/mperovic/my41
  - https://itunes.apple.com/app/my41cx/id979041950
- [OpenCB](https://github.com/student-t/OpenCB): Interactive chess book reader
- Onions: Cloud encrypted text storage app
  - https://github.com/onionsapp/Onions-iOS
  - https://itunes.apple.com/app/onions/id687296481
- [Open States](https://github.com/sunlightlabs/openstates-ios): Browse state legislatures
- ownCloud: File browser and sync for ownCloud file hosting service 🔥🔥
  - https://github.com/owncloud/ios
  - https://itunes.apple.com/app/owncloud/id543672169
- [Phonetic](https://github.com/iAugux/Phonetic): Add phonetic keys for Chinese names 🔥🔥
- Population Clock: Learn about geography and demographics
  - https://github.com/Netfilter-Com/PopulationClock
  - https://itunes.apple.com/app/population-clock-hd/id590689957
- Round & Split: Tip Calculator 🔶
  - https://github.com/lukhnos/roundandsplit
  - https://itunes.apple.com/app/round-split/id912288737 
- Runner-Stats: iPhone app to record running data
  - https://github.com/hukun01/Runner-Stats
  - https://itunes.apple.com/app/runner-stats/id793443821
- Swiflytics: See your realtime Google Analytics data 🔶
  - https://github.com/aciidb0mb3r/Swiflytics
  - https://itunes.apple.com/app/swiflytics/id1076165139
- [Tether](https://github.com/chrisballinger/Tether-iOS): Tethering for non-jailbroken iOS Devices over USB
- [Theseus](https://github.com/lazerwalker/Theseus): Personal analytics tool 🔥🔥🔥 
- [TheReservist](https://github.com/kimar/TheReservist): Check availability of iPhones 🔶
- [TrollDrop](https://github.com/a2/TrollDrop): AirDrop trollfaces to everyone
- VPN On: Today Widget to turn on VPN 🔶🔥🔥🔥🔥
  - https://github.com/lexrus/VPNOn
  - https://itunes.apple.com/app/vpn-on/id951344279
- Vinylogue: Simple Last.fm client
  - https://github.com/twocentstudios/vinylogue
  - https://itunes.apple.com/app/vinylogue-for-last.fm/id617471119
- WaniKani: Client app for WaniKani.com site (learn kanji) 🔶
  - https://github.com/haawa799/WaniKani-iOS
  - https://itunes.apple.com/app/wanikani/id1034355141
- [Words](https://github.com/soffes/words): Thesaurus app
- [WWDC Students](https://github.com/wwdc): WWDC scholarship entry apps 🔶🔥
- Yorkie: This app will help you take care of your dog
 - https://github.com/carlbutron/YorkieApp
 - https://itunes.apple.com/app/Yorkie/id1000836606

### 3D Touch

- [ForceSketch](https://github.com/FlexMonkey/ForceSketch): Sketching app using 3D Touch
- [Plum-O-Meter](https://github.com/FlexMonkey/Plum-O-Meter): 3D Touch Application for Weighing Plums (and other small fruit!) 🔶🔥🔥

### Calendar

- [Malendar](https://github.com/croossin/Malendar): A redesigned calendar app 🔶
- Workdays: Simple iPhone calendar with operating schedule
 - https://github.com/mpak/Workdays
 - https://itunes.apple.com/app/workdays-calendar/id889712978

### Text

- Edhita: Text editor 🔶🔥🔥🔥
  - https://github.com/tnantoka/edhita
  - https://itunes.apple.com/app/edhita-open-source-text-editor/id398896655
- SimpleMemo: Sync notes to EverNote 🔥
  - https://github.com/likumb/SimpleMemo
  - https://itunes.apple.com/app/yi-bian-qian/id1029807896
- [SwiftNote](https://github.com/mslathrop/SwiftNote): Simple note taking app with today widget and iCloud syncing 🔶🔥

### Timer

- [Coffee Timer](https://github.com/ashfurrow/yourfirstswiftapp) 🔶
- Fojusi: Work timer with today extension 🔶🔥🔥
  - https://github.com/dasdom/Tomate
  - https://itunes.apple.com/app/fojusi/id923044693
- [TrackMyTime](https://github.com/EvgenyKarkan/TrackMyTime)

## Special

### Appcelerator

- Tracker 4 Compassion: Track your walk, run or ride
  - https://github.com/fokkezb/tracker
  - https://itunes.apple.com/app/g.o.-tracker-4-compassion/id1100240821

### Core Data

- [DVD Collection Tracker](https://github.com/chrismiles/OrganisingCoreData)
- [Nested Lists](https://github.com/objcio/issue-4-full-core-data-application) 🔥
- Tasks: Designed to quickly and easily add tasks to your iPhone 🔶
  - https://github.com/mbcrump/TasksForSwiftWithPersistingData
  - https://itunes.apple.com/app/task-application/id960435759

### [Ionic](http://ionicframework.com/)

- Vegan Lists UK: View and collect official/unofficial Vegan food lists
  - https://github.com/dsgriffin/vegan-lists-uk
  - https://itunes.apple.com/app/vegan-lists-uk/id1083273301

### [Parse](https://www.parse.com/)

- 2CITY: Find out the coolest things to do in your city
  - https://github.com/2city/2CITY-iOS
  - https://itunes.apple.com/app/2city/id944632470
- Anypic: Mobile and web app that lets users share photos similar to Instagram
  - https://github.com/ParsePlatform/Anypic 🔥🔥🔥🔥
  - https://github.com/kwkhaw/SwiftAnyPic 🔶
  - https://itunes.apple.com/app/anypic/id539741538
- AnyWall: A fun geolocation app built with Parse 🔥🔥
  - https://github.com/ParsePlatform/AnyWall
  - https://itunes.apple.com/app/anywall/id520955490
- [how-much](https://github.com/dkhamsing/how-much): Simple app to record how much things cost using Parse
- [iBeaconTasks][]: iBeacon TODO reminder app based on Parse
- [Jim][]: Track your gym workouts 🔶 
- Parse-Challenge-App: iPhone app built using Parse w/ likes, comments, posting images/video 🔥
  - https://github.com/TomekB/Parse-Challenge-App
  - https://itunes.apple.com/app/lets-challenge-me/id944004497
- [ParseDeveloperDay][]: 2013 Developer Conference App
- ParseStore: Backend provider for selling physical goods using Parse 🔥
  - https://github.com/ParsePlatform/ParseStore
  - https://itunes.apple.com/app/parse-store/id613679907
- [Paws](http://www.appcoda.com/instagram-app-parse-swift/): Building an Instagram-Like App with Parse and Swift 🔶 

### [React Native](http://facebook.github.io/react-native/)

- [allyoop](https://github.com/wwayne/react-native-nba-app): NBA game scores app 🔥🔥
- Apps by Facebook
  - [2048](https://github.com/facebook/react-native/tree/master/Examples/2048)
  - [Movies](https://github.com/facebook/react-native/tree/master/Examples/Movies)
  - [TicTacToe](https://github.com/facebook/react-native/tree/master/Examples/TicTacToe)
  - [UIExplorer](https://github.com/facebook/react-native/tree/master/Examples/UIExplorer)
- [Around Me](https://github.com/bgryszko/react-native-example): Display Instagram photos around your location
- [Assemblies](https://github.com/buildreactnative/assemblies): Developer-focused Meetup clone 🔥
- [Calculator](https://github.com/benoitvallon/react-native-nw-react-calculator) 🔥🔥🔥🔥
- [Currency Converter](https://github.com/ashwinpreet/ReactNativeExamples/tree/master/ios/CurrencyConverter)
- [Den](https://github.com/asamiller/den): View houses for sale in the Northwest 🔥
- [Dribbble](https://github.com/catalinmiron/react-native-dribbble-app) 🔥🔥🔥
- [F8 2016](https://github.com/fbsamples/f8app/) Official F8 app 🔥🔥🔥🔥
- [Facebook Login](https://github.com/brentvatne/react-native-login) 🔥🔥
- [Finance](https://github.com/7kfpun/FinanceReactNative): iOS's Stocks app written in React Native 🔥
- [Foreign Exchange](https://github.com/peralmq/ForeignExchangeApp)
- HackerNews-React-Native 🔥🔥🔥🔥
  - https://github.com/iSimar/HackerNews-React-Native
  - https://itunes.apple.com/app/hacker-news-reader-react-native/id1067161633
- [Iceland Earthquakes](https://github.com/paranoida/IcelandEarthquakes)
- [iTunes Catalog Search](https://github.com/alexissan/ReactNativeWorkshop)
- [london-react](https://github.com/JoeStanton/london-react)
- [newswatch](https://github.com/bradoyler/newswatch-react-native): News app using YouTube playlists
- [NortalTechDay][]: Conference app 🔥
- [PocketNode](https://github.com/mzabriskie/PocketNode): Lightweight Node REPL
- [Product Kitty](https://github.com/rkho/product-kitty): Product Hunt app
- [Property Finder](https://github.com/ColinEberhardt/ReactNative-PropertyFinder) 🔥
- [ReactNativeHackerNews](https://github.com/jsdf/ReactNativeHackerNews)
- [RSS Reader](https://github.com/christopherdro/react-native-rss-reader)
- [Songkick](https://github.com/ArnaudRinquin/sk-react-native)
- [Spacepics](https://github.com/campezzi/react-native-spacepics): A small app displaying NASA's Picture of the Day
- [Sudoku](https://github.com/christopherdro/react-native-sudoku)
- [To Do List](https://github.com/joemaddalone/react-native-todo)
- [Twitch](https://github.com/IFours/react-native-twitch)
- [Weather](https://github.com/JakeLin/ReactNativeWeather): by JakeLin
- [WeatherApp][]: by jsphkhan

### Reactive Programming

#### [ReactiveCocoa](https://github.com/ReactiveCocoa/ReactiveCocoa)

- [BrewMobile](https://github.com/brewfactory/BrewMobile): App for managing the beer brewing process 🔶🔥
- C-41: Make developing film easier and more reliable by using this simple timer 🔥🔥🔥🔥
  - https://github.com/ashfurrow/C-41
  - https://itunes.apple.com/app/c-41/id789924103
- GitBucket: GitHub client using MVVM & ReactiveCocoa 🔥🔥🔥🔥
  - https://github.com/leichunfeng/MVVMReactiveCocoa
  - https://itunes.apple.com/app/id961330940
- [GroceryList](https://github.com/jspahrsummers/GroceryList): iPhone grocery list app, synchronized using GitHub 🔥🔥🔥
- [HausClock](https://github.com/nottombrown/HausClock): Minimal Chess Clock using MVVM and ReactiveCocoa 🔶
- ReactiveHackerNews: Hacker News reader with Tinder style interface, written in ObjC, uses MVVM & ReactiveCocoa
  - https://github.com/syshen/ReactiveHackerNews
  - https://itunes.apple.com/app/reactive-hacker-news-stay/id969422368 
- [ReactiveSwiftFlickrSearch](https://github.com/ColinEberhardt/ReactiveSwiftFlickrSearch): A Flickr-search app that uses MVVM & ReactiveCocoa 🔶🔥🔥
- [SimpleAuth](https://github.com/calebd/SimpleAuth): Simple authentication (OAuth for Twitter, Facebook, Instagram, Tumblr and more) 🔥🔥🔥🔥
- [SwiftRACGoogleImages](https://github.com/Adlai-Holler/SwiftRACGoogleImages): Google image search using RAC 4.0 and Swift 2.1 🔶
- [Tropos][]: A weather app using ReactiveCocoa and Forecast.io 🔥🔥🔥🔥 ([Tropos on the App Store][])

#### [RXSwift](https://github.com/ReactiveX/RxSwift)

- [GitHub API Client](https://github.com/tailec/boilerplate): GitHub client using MVVM and RxSwift 🔶🔥
- [Kiosk](https://github.com/artsy/eidolon): The Artsy auction kiosk app, uses RxSwift 🔶🔥🔥🔥🔥

### Realm

- [Done][]: Data sharing between a WatchKit app and its main app using Realm 🔶
- [RealmToDo][]: A small todo list with Realm integration 🔶

### [VIPER](https://mutualmobile.github.io/blog/2013/12/04/viper-introduction/)

- [Contacts](https://github.com/sebastianwr/VIPER-Persons)
- [Counter](https://github.com/mutualmobile/Counter) 🔥
- [Rambler.Conferences](https://github.com/rambler-ios/RamblerConferences)
- [To do](https://www.objc.io/issues/13-architecture/viper/): objcio [example](https://github.com/objcio/issue-13-viper)

### Xamarin

- [Toggl Timer][] 🔥 ([Toggl Timer on the App Store][])

## Bonus

See [archive](archive.md), [mac-apps](https://github.com/jeffreyjackson/mac-apps), [awesome-osx](https://github.com/iCHAIT/awesome-osx) and [android-apps](https://github.com/pcqpcq/open-source-android-apps).

## Thanks

This list was inspired by [awesome-ios](https://github.com/vsouza/awesome-ios) and [awesome-swift](https://github.com/matteocrippa/awesome-swift).

## Contact

- [github.com/dkhamsing](https://github.com/dkhamsing)
- [twitter.com/dkhamsing](https://twitter.com/dkhamsing)

[Cherry]: https://github.com/kenshin03/Cherry
[Done]: https://github.com/FancyPixel/done-swift
[HN Reader]: https://github.com/Dimillian/SwiftHN
[HN Reader on the App Store]: https://itunes.apple.com/app/hn-reader-hacker-news-reader/id919243741
[iBeaconTasks]: https://github.com/TomekB/iBeaconTasks
[extvplayer]: https://github.com/IGRSoft/exTVPlayer
[Firefox]: https://github.com/mozilla/firefox-ios
[Firefox on the App Store]: https://itunes.apple.com/app/firefox-web-browser/id989804926
[Jim]: https://github.com/kylejm/Jim
[KTPomodoro]: https://github.com/kenshin03/KTPomodoro
[NortalTechDay]: https://github.com/mikkoj/NortalTechDay
[ParseDeveloperDay]: https://github.com/ParsePlatform/ParseDeveloperDay
[Provenance]: https://github.com/jasarien/Provenance
[RealmToDo]: https://github.com/pietbrauer/RealmToDo
[Toggl Timer]: https://github.com/toggl/mobile
[Toggl Timer on the App Store]: https://itunes.apple.com/app/toggl-timer/id885767775
[Tropos]: https://github.com/thoughtbot/Tropos
[Tropos on the App Store]: https://itunes.apple.com/app/tropos-weather-forecasts-for/id955209376  
[VLC]: https://github.com/videolan/vlc
[VLC on the App Store]: https://itunes.apple.com/app/vlc-for-ios/id650377962
[VLC videolan.org]: http://www.videolan.org/vlc/download-ios.html
[WeatherApp]: https://github.com/jsphkhan/ReactNativeExamples/tree/master/ios/WeatherApp
